Skip to main content
GET
/
v1
/
Outbound
/
CallRequest
/
{requestId}
Get Call Request
curl --request GET \
  --url https://api.nlpearl.ai/v1/Outbound/CallRequest/{requestId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": 123,
  "outboundId": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "errors": [
    "<string>"
  ],
  "callId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Specify the authorization token.

For more information, check out the Authorization Guide.

Path Parameters

requestId
string
required

The unique identifier of the API request to retrieve.

Response

The details of the API request were successfully retrieved.

id
string | null

The unique identifier of the API request.

status
integer<int32>

1 - InCallQueue

2 - OnCall

10 - Completed

20 - BlackListed

100 - Error

outboundId
string | null

The unique identifier of the outbound campaign associated with this API request.

created
string<date-time>

The date and time when the API request was created.

errors
string[] | null

A list of errors that occurred during the API request, if any.

callId
string | null

The unique identifier of the call associated with this API request, if available.